Summary: OSSEC rpm archive configuration
Name: ossec-release
Version: 1.0
Release: 1.art
License: GPLv3
Group: System Environment/Base
URL: http://www.ossec.net/
Packager:  Scott R. Shinn <scott@atomicorp.com>
Source1:        RPM-GPG-KEY.ossec.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: net-tools
Requires:       yum >= 2.2
BuildArch: noarch


%description
OSSEC RPM archive contains OSSEC packages for RPM based distributions:

	* CloudLinux
	* CentOS
	* Fedora 
	* Red Hat Enterprise Linux.

This package contains the repository GPG key in addition to configuration files for yum.

%prep
#%setup -c 

%build
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='7'; path="centos"; }
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='6'; path="centos"; }
%{?el5:name='CentOS / Red Hat Enterprise Linux'; version='5'; path="centos"; }
%{?el4:name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; }
%{?el3:name='CentOS / Red Hat Enterprise Linux'; version='3'; path="centos"; }
%{?fc20:name='Fedora Core'; version='20'; path="fedora"; }
%{?fc19:name='Fedora Core'; version='19'; path="fedora"; }
%{?fc18:name='Fedora Core'; version='18'; path="fedora"; }
%{?fc17:name='Fedora Core'; version='17'; path="fedora"; }
%{?fc16:name='Fedora Core'; version='16'; path="fedora"; }
%{?fc15:name='Fedora Core'; version='15'; path="fedora"; }
%{?fc14:name='Fedora Core'; version='14'; path="fedora"; }
%{?fc13:name='Fedora Core'; version='13'; path="fedora"; }
%{?fc12:name='Fedora Core'; version='12'; path="fedora"; }
%{?fc11:name='Fedora Core'; version='11'; path="fedora"; }
%{?fc10:name='Fedora Core'; version='10'; path="fedora"; }
%{?fc9:name='Fedora Core'; version='9'; path="fedora"; }
%{?fc8:name='Fedora Core'; version='8'; path="fedora"; }
%{?fc7:name='Fedora Core'; version='7'; path="fedora"; }
%{?fc6:name='Fedora Core'; version='6'; path="fedora"; }
%{?fc5:name='Fedora Core'; version='5'; path="fedora"; }
%{?fc4:name='Fedora Core'; version='4'; path="fedora"; }
%{?fc3:name='Fedora Core'; version='3'; path="fedora"; }
%{?fc2:name='Fedora Core'; version='2'; path="fedora"; }
%{?fc1:name='Fedora Core'; version='1'; path="fedora"; }
%{?rh9:name='Red Hat'; version='9';   path="redhat"; }

#name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; 
#name=''


%{__cat} <<EOF >ossec.repo
[ossec]
name = $name \$releasever - ossec.net
mirrorlist = http://updates.atomicorp.com/mirrorlist/ossec/$path-$version-\$basearch
#mirrorlist = http://www.atomicorp.com/channels/atomic/$path/$version/mirrors-atomic
enabled = 1
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.ossec.txt
gpgcheck = 1

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 %{SOURCE1}  %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.ossec.txt
%{__install} -Dp -m0644 ossec.repo %{buildroot}%{_sysconfdir}/yum.repos.d/ossec.repo

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.repos.d/ossec.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.ossec.txt


%changelog
* Wed Sep 25 2013 Scott R. Shinn <scott@atomicorp.com> 1.0-1
- Initial release
